### Method

# Gcr SecretExchange get_protocol

#### Declaration [src]

    const gchar*
    gcr_secret_exchange_get_protocol (
      GcrSecretExchange* self
    )

#### Description [src]

Will return `NULL` if no protocol was specified, and either `gcr_secret_exchange_begin()` or `gcr_secret_exchange_receive()` have not been called successfully.

Gets property | `Gcr.SecretExchange:protocol`

#### Return value

Type: `const gchar*`

The protocol or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.